#include <stdio.h>
#include <math.h>
#include <string.h>

int main( void )
{
    int t = 0;
    int count[26];
    int inUse[26];
    int canGetThere[26];
    int adjacent[26][26];
    
    scanf( "%d\n", &t );
    for (int curT = 0; curT < t; curT++)
    {
        for (int j = 'a'; j <= 'z'; j++) // init
	{
	    count[j - 'a'] = 0;
	    inUse[j - 'a'] = 0;
	    canGetThere[j - 'a'] = 0;
	    for (int k = 0; k < 26; k++)
		adjacent[j - 'a'][k] = 0;
	}

	long n = 0;
	scanf( "%d\n", &n );
	char s[1001];
	
	if (n == 1)
	{
	    scanf( "%s", s );
	    printf( "Ordering is possible.\n" );
	    continue;
	}    
	
	for (int i = 0; i < n; i++) // got new word
	{
	    scanf( "%s", s );
	    char c1 = s[0] - 'a';
	    char c2 = s[ strlen( s ) - 1 ]  - 'a';
	    
	    count[ c1 ] ++;
	    count[ c2 ] --;
	    
	    adjacent[c1][c2] = 1;
	    inUse[c1] = 1;
	    inUse[c2] = 1;
	}

/*for (int i = 'a'; i < 'z'; i++)
    printf( "%d, ", count[ i - 'a' ] );*/
	
	for (int i = 0; i < 26; i++) // find first in use
	    if (inUse[i])
	    {
		canGetThere[i] = 1;
		break;
	    }

	while (1) // fill which are used
	{
	    int hasChanged = 0;
	
	    for (int i = 0; i < 26; i++)
	    {
		for (int j = 0; j < 26; j++)
		{
		    if (inUse[i] && inUse[j])
		    {
			if (!canGetThere[j] && (adjacent[i][j] || adjacent[j][i]) && canGetThere[i])
			{
			    canGetThere[j] = 1;
			    hasChanged = 1;
			}	
		    }
		}
	    }
	
	    if (! hasChanged)
		break;
	}
	
	int finished = 0;
	int cannotGetThere = 0;

	for (int i = 0; i < 26; i++)
	{
//	    printf( "%d %d\n", inUse[i], canGetThere[i] );
	    if (inUse[i] && !canGetThere[i])
	    {
		cannotGetThere++;
		break;
	    }
	}

	if (cannotGetThere > 0) // not a connected graph
	{	
	    printf( "The door cannot be opened.\n" );
	    finished = 1;
	}
	
	if (finished)
	    continue;

	int hasOne = 0;
	int hasMinusOne = 0;
	
	for (int i = 'a'; i <= 'z'; i++) // Eulers path
	{
	    if (count[i - 'a'] == 0)
		continue;
	    else if (count[i - 'a'] == 1)
	    {
		if (hasOne)
		{
		    printf( "The door cannot be opened.\n" );
		    finished = 1;
		    break;
		}
		else
		    hasOne = 1;
	    }
	    else if (count[i - 'a'] == -1)
	    {
		if (hasMinusOne)
		{
		    printf( "The door cannot be opened.\n" );
		    finished = 1;
		    break;		    
		}
		else
		    hasMinusOne = 1;
	    }
	    else
	    {
		printf( "The door cannot be opened.\n" );
		finished = 1;
		break;
	    }
	}
	
	if (((finished == 0) && (hasOne == 1) && (hasMinusOne == 1)) ||
	    ((finished == 0) && (hasOne == 0) && (hasMinusOne == 0)))
	{
	    printf( "Ordering is possible.\n" );
	    finished = 1;
	}
	else if (! finished)
	{
	    printf( "Unexpected result.\n" );
	}
    }

    return 0;
}